shishi_keys_nth(3)

NAME
shishi_keys_nth - API function

SYNOPSIS
#include <shishi.h>

const Shishi_key * shishi_keys_nth(Shishi_keys * keys, int keyno);

ARGUMENTS

Shishi_keys * keys
    key set handle as allocated by shishi_keys().

int keyno
    integer indicating requested key in key set.

GET THE N
th ticket in key set.

RETURN VALUE
Returns a key handle to the keyno:th key in the key set, or NULL if keys is invalid or keyno is out of bounds. The first key is keyno 0, the second key keyno 1, and so on.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.